searchData={"items":[{"type":"module","title":"TowerSentry","doc":"Elixir error tracking and reporting to [Sentry](https://sentry.io).\n\nA Sentry reporter for `Tower`.","ref":"TowerSentry.html"},{"type":"module","title":"Example - TowerSentry","doc":"config :tower, :reporters, [TowerSentry]","ref":"TowerSentry.html#module-example"},{"type":"extras","title":"TowerSentry","doc":"# TowerSentry\n\n[![ci](https://github.com/mimiquate/tower_sentry/actions/workflows/ci.yml/badge.svg?branch=main)](https://github.com/mimiquate/tower_sentry/actions?query=branch%3Amain)\n[![Hex.pm](https://img.shields.io/hexpm/v/tower_sentry.svg)](https://hex.pm/packages/tower_sentry)\n[![Documentation](https://img.shields.io/badge/Documentation-purple.svg)](https://hexdocs.pm/tower_sentry)\n\nElixir error tracking and reporting to [Sentry](https://sentry.io).\n\n[Tower](https://github.com/mimiquate/tower) reporter for Sentry.","ref":"readme.html"},{"type":"extras","title":"Installation - TowerSentry","doc":"Package can be installed by adding `tower_sentry` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:tower_sentry, \"~> 0.3.2\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - TowerSentry","doc":"Tell `Tower` to inform `TowerSentry` reporter about errors.\n\n```elixir\n# config/config.exs\n\nconfig(\n  :tower,\n  :reporters,\n  [\n    # along any other possible reporters\n    TowerSentry\n  ]\n)\n```\n\nAnd configure `:sentry` dsn.\n\n```elixir\n# config/runtime.exs\n\nif config_env() == :prod do\n  config :tower_sentry, dsn: System.get_env(\"SENTRY_DSN\")\nend\n```\n\nThat's it.\n\nIt will try report any errors (exceptions, throws or abnormal exits) within your application. That includes errors in\nany plug call (including Phoenix), Oban job, async task or any other Elixir process.\n\nSome HTTP request data will automatically be included in the report if a `Plug.Conn` if available when handling the error.","ref":"readme.html#usage"},{"type":"extras","title":"Manual reporting - TowerSentry","doc":"You can manually report errors just by informing `Tower` about any manually caught exceptions, throws or abnormal exits.\n\n\n```elixir\ntry do\n  # possibly crashing code\nrescue\n  exception ->\n    Tower.report_exception(exception, __STACKTRACE__)\nend\n```\n\nMore details on https://hexdocs.pm/tower/Tower.html#module-manual-reporting.","ref":"readme.html#manual-reporting"},{"type":"extras","title":"License - TowerSentry","doc":"Copyright 2024 Mimiquate\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n    http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}